package com.huimv.getdata.controller;

import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;
import com.huimv.getdata.service.IErpVoucherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("/erp-voucher")
public class ErpVoucherColntroller {

    @Autowired
    IErpVoucherService iErpVoucherService;

    @RequestMapping(value = "/getShouRuJinE",method = RequestMethod.GET)
    public List<ErpVoucher> getDep(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getShouRuJinE(date);
    }

    @RequestMapping(value = "/getDangQianYueYingYeE",method = RequestMethod.GET)
    public List<ErpVoucher> getDangQianYueYingYeE(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getDangQianYueYingYeE(date);
    }
    @RequestMapping(value = "/getDangQianYueJingLiRun",method = RequestMethod.GET)
    public List<ErpVoucher> getDangQianYueJingLiRun(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getDangQianYueJingLiRun(date);
    }

    @RequestMapping(value = "/getDangQianZiJinYvE",method = RequestMethod.GET)
    public List<ErpVoucher> getDangQianZiJinYvE(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getDangQianZiJinYvE(date);
    }

    @RequestMapping(value = "/getDangYueJieKuanYvE",method = RequestMethod.GET)
    public List<ErpVoucher> getDangYueJieKuanYvE(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getDangYueJieKuanYvE(date);
    }

    @RequestMapping(value = "/getGuoNeiWaiSouRu",method = RequestMethod.GET)
    public List<ErpVoucher> getGuoNeiWaiSouRu(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getGuoNeiWaiSouRu(date);
    }


    @RequestMapping(value = "/getChanPinShouRu",method = RequestMethod.GET)
    public List<ChanPinShouRu> getChanPinShouRu(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getChanPinShouRu(date);
    }

    @RequestMapping(value = "/JingLiRunQuShi",method = RequestMethod.GET)
    public List<JingLiRunQuShi> getJingLiRunQuShi(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getJingLiRunQuShi(date);
    }

    @RequestMapping(value = "/getLinJinHuanKuan",method = RequestMethod.GET)
    public List<LinJinHuanKuanQi> getLinJinHuanKuan(@RequestParam(value = "date" ,required = false) String date){
        return iErpVoucherService.getLinJinHuanKuan(date);
    }


}
